function World_h(h)
{
	this.handle = h;

	this.SetCameraUp = function(x, y, z)
	{
		return fsWorld_SetCameraUp(this.handle, x, y, z);
	}

	this.Render = function()
	{
		return fsWorld_Render(this.handle);
	}

	this.SetPerspective = function(fov, aspect, znear, zfar)
	{
		return fsWorld_SetPerspective(this.handle, fov, aspect, znear, zfar);
	}

	this.SetCameraPosition = function(x, y, z)
	{
		return fsWorld_SetCameraPosition(this.handle, x, y, z);
	}

	this.SetCameraTarget = function(x, y, z)
	{
		return fsWorld_SetCameraTarget(this.handle, x, y, z);
	}

	this.Delete = function()
	{
		return fsWorld_Delete(this.handle);
	}

}
function World()
{
	return new World_h(fsWorld_Create());
}
